> ## Documentation Index
> Fetch the complete documentation index at: https://developers.onidel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update VPC

> Update an existing VPC's name, description, or shared teams



## OpenAPI

````yaml /api-reference/openapi.yaml patch /network/vpcs/{vpc_id}
openapi: 3.0.3
info:
  title: Onidel Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **Onidel Cloud API** documentation. This API allows
    developers to seamlessly integrate with the Onidel Cloud platform, enabling
    them to manage cloud resources efficiently and securely. With our API, you
    can automate processes, retrieve detailed account information, and manage
    virtual machines (VPS), networking, storage, and more.
  termsOfService: https://docs.onidel.com/policies/terms-of-service
  contact:
    email: support@onidel.com
  version: 1.2.0
servers:
  - url: https://api.cloud.onidel.com
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
  - name: Custom ISO
    description: Manage custom ISO images that can be used to boot server instances (BYOI).
  - name: Measured Boot Image
    description: >-
      Manage SEV-SNP measured direct boot images (UKIs) and attach/detach them
      to instances.
paths:
  /network/vpcs/{vpc_id}:
    patch:
      tags:
        - VPC
      summary: Update VPC
      description: Update an existing VPC's name, description, or shared teams
      operationId: updateVPC
      parameters:
        - name: vpc_id
          in: path
          description: VPC UUID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateVPC'
      responses:
        '200':
          description: VPC updated successfully
        '400':
          description: Bad request - invalid name, description, or shared teams
        '401':
          description: Unauthorized
        '403':
          description: Forbidden - shared VPC is attached to VMs
        '404':
          description: VPC not found
      security:
        - api_key: []
components:
  schemas:
    UpdateVPC:
      type: object
      properties:
        team_id:
          type: string
          format: uuid
          example: c1d45377-b2a9-4407-ab8d-6909c34dfaac
          description: Team ID. Default team will be used if not provided.
        name:
          type: string
          example: Updated VPC Name
          maxLength: 255
        description:
          type: string
          example: Updated VPC description
          maxLength: 255
      required:
        - name
        - description
  securitySchemes:
    api_key:
      type: http
      scheme: bearer

````